#ifndef emkaBOOTLOAD_H__
#define emkaBOOTLOAD_H__

// TODO version update here
#define FIRMWARE_VERSION_1 1
#define FIRMWARE_VERSION_2 0
#define FIRMWARE_VERSION_3 10

#if defined(__cplusplus)
extern "C" {
#endif

typedef struct 
{
	unsigned int DAE_BOOTLOAD:1;
	unsigned int APPLESS:5;
	unsigned int Reserved:26;
} User_Regret_t;

typedef union {
    unsigned int bulk;
    unsigned char version[4];
} Customer_Reg_Daemon_Version;

#define Daemon_Version ((Customer_Reg_Daemon_Version*) (&NRF_UICR->CUSTOMER[0]))
#define DFU_Regret NRF_POWER->GPREGRET
#define User_Regret ((User_Regret_t*) (&NRF_POWER->GPREGRET2))

void bootload_OnReset(void);
void go_to_bootloader(unsigned char flag);
#if defined(__cplusplus)
}
#endif
#endif